## Class TActiveCustomValidator

Description

Implements interfaces:

- ICallbackEventHandler
- IActiveControl

TActiveCustomValidator Class

Performs custom validation using only server-side onServerValidate validation event. The client-side uses callbacks to raise the onServerValidate event.

Beware that the onServerValidate may be raised when the control to validate on the client side changes value, that is, the server validation may be called many times.

After the callback or postback, the onServerValidate is raised once more. The IsCallback property will be true when validation is made during a callback request.

- since: 3.1
- version: $Id: TActiveCustomValidator.php 1791 2007-03-30 05:04:30Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TActiveCustomValidator.php (line 35)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TLabel
                   |
                   --TBaseValidator
                      |
                      --TCustomValidator
                         |
                         --TActiveCustomValidator

Method Summary
TActiveCustomValidator __construct ()
void addAttributesToRender (mixed $writer)
TBaseActiveCallbackControl getActiveControl ()
string getClientClassName ()
array getClientScriptOptions ()
TCallbackClientSide getClientSide ()
boolean getIsCallback ()
void onCallback (TCallbackEventParameter $param)
void raiseCallbackEvent (TCallbackEventParameter $param)
void setClientValidationFunction (mixed $value)
void setErrorMessage (string $value)
Methods
Constructor __construct (line 56)

Creates a new callback control, sets the adapter to TActiveControlAdapter. If you override this class, be sure to set the adapter appropriately by, for example, by calling this constructor.

- access: public

TActiveCustomValidator __construct ()

Redefinition of:

TBaseValidator::__construct()
  Constructor.

addAttributesToRender (line 146)

Ensure that the ID attribute is rendered and registers the javascript code for initializing the active control.

- access: protected

void addAttributesToRender (mixed $writer)

Redefinition of:

TBaseValidator::addAttributesToRender()
  Adds attributes to renderer. Calls parent implementation and renders the client control scripts.

getActiveControl (line 66)

- return: standard callback control options.
- access: public

TBaseActiveCallbackControl getActiveControl ()
getClientClassName (line 155)

- return: corresponding javascript class name for this this.
- access: protected

string getClientClassName ()

Redefinition of:

TCustomValidator::getClientClassName()
  Gets the name of the javascript class responsible for performing validation for this control.

getClientScriptOptions (line 120)

Returns an array of javascript validator options.

- return: javascript validator options.
- access: protected

array getClientScriptOptions ()

Redefinition of:

TCustomValidator::getClientScriptOptions()
  Returns an array of javascript validator options.

getClientSide (line 74)

- return: client side request options.
- access: public

TCallbackClientSide getClientSide ()

Redefinition of:

TBaseValidator::getClientSide()
  Gets the TValidatorClientSide that allows modification of the client- side validator events.

getIsCallback (line 46)

- return: true if validation is made during a callback request.
- access: public

boolean getIsCallback ()
onCallback (line 111)

This method is invoked when a callback is requested. The method raises 'OnCallback' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.

- access: public

void onCallback (TCallbackEventParameter $param)

- TCallbackEventParameter $param: event parameter to be passed to the event handlers

raiseCallbackEvent (line 96)

Raises the callback event. This method is required by ICallbackEventHandler interface. The onServerValidate event is raised first and then the onCallback event.

This method is mainly used by framework and control developers.

- access: public

void raiseCallbackEvent (TCallbackEventParameter $param)

- TCallbackEventParameter $param: the event parameter

setClientValidationFunction (line 82)

Client validation function is NOT supported.

- access: public

void setClientValidationFunction (mixed $value)

Redefinition of:

TCustomValidator::setClientValidationFunction()
  Sets the name of the custom client-side script function used for validation.

setErrorMessage (line 131)

Sets the text for the error message. Updates client-side erorr message.

- access: public

void setErrorMessage (string $value)

- string $value: the error message

Redefinition of:

TBaseValidator::setErrorMessage()
  Sets the text for the error message.

#### Inherited Methods

Inherited From TCustomValidator

> TCustomValidator::evaluateIsValid()
> TCustomValidator::getClientClassName()
> TCustomValidator::getClientScriptOptions()
> TCustomValidator::getClientValidationFunction()
> TCustomValidator::onServerValidate()
> TCustomValidator::registerClientScriptValidator()
> TCustomValidator::setClientValidationFunction()

Inherited From TBaseValidator

> TBaseValidator::__construct()
> TBaseValidator::addAttributesToRender()
> TBaseValidator::createClientSide()
> TBaseValidator::evaluateIsValid()
> TBaseValidator::getClientClassName()
> TBaseValidator::getClientScriptOptions()
> TBaseValidator::getClientSide()
> TBaseValidator::getControlCssClass()
> TBaseValidator::getControlToValidate()
> TBaseValidator::getDisplay()
> TBaseValidator::getEnableClientScript()
> TBaseValidator::getErrorMessage()
> TBaseValidator::getFocusElementID()
> TBaseValidator::getFocusOnError()
> TBaseValidator::getIsValid()
> TBaseValidator::getValidationGroup()
> TBaseValidator::getValidationTarget()
> TBaseValidator::getValidationValue()
> TBaseValidator::onInit()
> TBaseValidator::onPreRender()
> TBaseValidator::onUnload()
> TBaseValidator::onValidate()
> TBaseValidator::onValidationError()
> TBaseValidator::onValidationSuccess()
> TBaseValidator::registerClientScriptValidator()
> TBaseValidator::renderClientControlScript()
> TBaseValidator::renderContents()
> TBaseValidator::setControlCssClass()
> TBaseValidator::setControlToValidate()
> TBaseValidator::setDisplay()
> TBaseValidator::setEnableClientScript()
> TBaseValidator::setEnabled()
> TBaseValidator::setErrorMessage()
> TBaseValidator::setFocusElementID()
> TBaseValidator::setFocusOnError()
> TBaseValidator::setForControl()
> TBaseValidator::setIsValid()
> TBaseValidator::setValidationGroup()
> TBaseValidator::updateControlCssClass()
> TBaseValidator::validate()

Inherited From TLabel

> TLabel::addAttributesToRender()
> TLabel::getData()
> TLabel::getForControl()
> TLabel::getTagName()
> TLabel::getText()
> TLabel::render()
> TLabel::renderContents()
> TLabel::setData()
> TLabel::setForControl()
> TLabel::setText()

Inherited From TWebControl

> TWebControl::addAttributesToRender()
> TWebControl::clearStyle()
> TWebControl::copyBaseAttributes()
> TWebControl::createStyle()
> TWebControl::getAccessKey()
> TWebControl::getBackColor()
> TWebControl::getBorderColor()
> TWebControl::getBorderStyle()
> TWebControl::getBorderWidth()
> TWebControl::getCssClass()
> TWebControl::getDisplay()
> TWebControl::getFont()
> TWebControl::getForeColor()
> TWebControl::getHasStyle()
> TWebControl::getHeight()
> TWebControl::getStyle()
> TWebControl::getTabIndex()
> TWebControl::getTagName()
> TWebControl::getToolTip()
> TWebControl::getWidth()
> TWebControl::render()
> TWebControl::renderBeginTag()
> TWebControl::renderContents()
> TWebControl::renderEndTag()
> TWebControl::setAccessKey()
> TWebControl::setBackColor()
> TWebControl::setBorderColor()
> TWebControl::setBorderStyle()
> TWebControl::setBorderWidth()
> TWebControl::setCssClass()
> TWebControl::setDisplay()
> TWebControl::setForeColor()
> TWebControl::setHeight()
> TWebControl::setStyle()
> TWebControl::setTabIndex()
> TWebControl::setToolTip()
> TWebControl::setWidth()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:29:27 -0400 by phpDocumentor 1.3.0RC4